[分享]beryl、compiz、emacs设置心得

GnomeShell/Unity/Beryl/AiGLX/XGL/Compiz Fusion
esun2006
帖子: 52
注册时间: 2007-02-15 16:04
送出感谢: 0
接收感谢: 1 次

[分享]beryl、compiz、emacs设置心得

#1

帖子 esun2006 » 2007-06-10 20:16

本来我使用ubuntu的目的只是因为方便,对桌面效果没有要求。:)
偶然的一个机会看到了一个主题,感觉非常好看,决定试用一下,就不知不觉跑到beryl里来啦....

老实说,要马上弄明白整个原理没那么容易,因为不仅取决于ununtu的版本,还取决于各位大虾的帖子的严整性。我是没少绕弯子的。主要参考这篇文章:
viewtopic.php?t=55521&start=0&postdays= ... highlight=

我用的是ubuntu7.04版本,那么我主要针对这个版本进行说明。
1-不管你的显卡是否支持3d,默认的安装程序会安装桌面特效/compiz套件
2-如果你的ati显卡不能正确的支持3d,不一定是xorg.conf的问题,先看看是否正确加载了fglrx内核模块。
3-桌面特效/compiz套件和beryl有冲突。如果你没有完全卸载他们,beryl无论如何都不能正确使用
4-使用beryl后emacs23无法使用scim输入法。没必要死去活来的折腾,使用控制台文本模式运行emacs就很好。

其实很多文章都做了很具体的说明,但对于始终不能正确加载驱动的问题却忽视了一个最重要的问题:内核模块加载不正确!

lsmod |grep agpgart #查看当前加载的agp模块
agpgart 35400 3 ati_agp,fglrx,intel_agp

如果没有fglrx那无论怎样设置都不会有效!例如常见的类似这种情况:
agpgart 35400 3 ati_agp,drm,intel_agp

加载fglrx的方法:
modcof
找到/kernel/drivers/char/drm 卸载里面加载的所有模块
找到/volatile 加载fglrx

之后再按照以前的帖子进行设置!

在决定是使用默认的效果-桌面特效/compiz套件 还是使用 beryl 之前,最好使用新立德软件管理器查看一下,目前的系统是什么组成。使用beryl必须卸载这些默认安装组件,否则会有很多问题,知道你晕死.:)

还有beryl-core0.21要降级到0.20,千万要相信哦,否则...


在beryl下别再费劲心机鼓捣emacs的输入法,直接用emacs --nw命令 在终端使用好啦,还能解决很多字体的问题。
:wink:

反正,别那么死心眼!
附件
Screenshot.jpeg
桌面立方体效果
Screenshot-1.jpeg
emacs -nw
Screenshot-2.jpeg
firefox
上次由 esun2006 在 2007-06-11 22:58,总共编辑 1 次。
xch0929
帖子: 47
注册时间: 2006-12-23 14:34
送出感谢: 0
接收感谢: 0
联系:

#2

帖子 xch0929 » 2007-06-14 9:48

小弟是个新手,能不能讲一讲

加载fglrx的方法:
modcof
找到/kernel/drivers/char/drm 卸载里面加载的所有模块
找到/volatile 加载fglrx

怎样操作

谢谢!!
esun2006
帖子: 52
注册时间: 2007-02-15 16:04
送出感谢: 0
接收感谢: 1 次

哦,这样子

#3

帖子 esun2006 » 2007-06-14 12:43

打开终端,x的也行
输入modcof 命令
你就会见到modcof模块配置程序的界面啦
按照上面的模块名称进行操作就可以
magiciany
帖子: 393
注册时间: 2007-04-25 11:49
送出感谢: 0
接收感谢: 0

#4

帖子 magiciany » 2007-06-15 2:18

compiz删除的话也会把ubuntu-desktop删除了,没关系?不然怎么删?
salltm
帖子: 357
注册时间: 2006-10-18 16:17
送出感谢: 0
接收感谢: 0
联系:

#5

帖子 salltm » 2007-06-15 8:23

没关系。 不是把全部的ubuntu-desktop给删掉的。
ACER NOTE BOOK
Ubuntu 8.10 + Windows XP SP3
CM-1.73G 1MB/L2
I945GME+512MB
IBM 120G
net10/100MB +Moden
14.1 XWGA +Comb
垃圾了点-但是是我的爱机。。。:)
有事问我发站内短信。因为我没有翻旧贴的习惯.3Q
头像
woainba15
帖子: 833
注册时间: 2006-11-11 17:14
来自: 浙江宁波
送出感谢: 0
接收感谢: 0
联系:

#6

帖子 woainba15 » 2007-06-15 14:31

怎么这么黑?
时间过得快啊!
jichunzhi
帖子: 86
注册时间: 2007-03-31 15:53
送出感谢: 0
接收感谢: 0

#7

帖子 jichunzhi » 2007-06-15 15:32

我装了BERYL,可是不知道如何使用,
头像
hongmop
帖子: 37
注册时间: 2007-05-12 7:06
来自: china
送出感谢: 0
接收感谢: 0
联系:

#8

帖子 hongmop » 2007-06-16 6:32

jichunzhi 写了:我装了BERYL,可是不知道如何使用,
是呀,找不到命令来打开特效
头像
L.Lawliet
帖子: 109
注册时间: 2007-06-13 20:13
送出感谢: 0
接收感谢: 0
联系:

#9

帖子 L.Lawliet » 2007-06-16 12:22

应用程序----系统?----beryl管理器?

终端直接 beryl-manager 也行

任务栏会有个大钻石出来。。。
默认已经开启晃动,透明等效果了吧~~~

右键钻石 慢慢设置。。。。。

我也昨天才用。。。。。

现在看多了也就那样,呵呵
头像
james_xl
帖子: 107
注册时间: 2006-09-17 17:31
送出感谢: 0
接收感谢: 0

#10

帖子 james_xl » 2007-06-18 0:35

compiz和beryl是完全不冲突的,我两个都装了,完全没问题。
esun2006
帖子: 52
注册时间: 2007-02-15 16:04
送出感谢: 0
接收感谢: 1 次

我的7.04 中 compiz和beryl有冲突,不知你是什么版本

#11

帖子 esun2006 » 2007-06-18 9:47

compiz和beryl会同时设置一些选项,比如立方体等,你的没有冲突?
头像
eagle5678
帖子: 1816
注册时间: 2006-07-08 14:07
送出感谢: 14 次
接收感谢: 1 次

Re: 我的7.04 中 compiz和beryl有冲突,不知你是什么版本

#12

帖子 eagle5678 » 2007-06-18 13:54

esun2006 写了:compiz和beryl会同时设置一些选项,比如立方体等,你的没有冲突?
用同一选项就同一,有什么问题?
头像
jackphil
帖子: 59
注册时间: 2006-09-04 23:49
送出感谢: 0
接收感谢: 0
联系:

Re: [分享]beryl、compiz、emacs设置心得

#13

帖子 jackphil » 2007-07-29 8:53

esun2006 写了:....
4-使用beryl后emacs23无法使用scim输入法。没必要死去活来的折腾,使用控制台文本模式运行emacs就很好。

........

在beryl下别再费劲心机鼓捣emacs的输入法,直接用emacs --nw命令 在终端使用好啦,还能解决很多字体的问题。
:wink:

反正,别那么死心眼!
我是改用了fcitx,曾经也想终端下将就,使用时好象一些快捷键有冲突。fcitx在兼容性方面稳定的多,反正我只要中文(拼音)就足够了。遗憾的是开发者退出不再维护了,不知未来命运怎样
nvwnm
帖子: 41
注册时间: 2007-09-04 16:28
送出感谢: 0
接收感谢: 0

Re: 哦,这样子

#14

帖子 nvwnm » 2007-09-21 15:51

esun2006 写了:打开终端,x的也行
输入modcof 命令
你就会见到modcof模块配置程序的界面啦
按照上面的模块名称进行操作就可以
我打开是没找到命令。
附件
Screenshot.png
头像
SecretZero
帖子: 1670
注册时间: 2007-08-30 5:39
送出感谢: 0
接收感谢: 0
联系:

#15

帖子 SecretZero » 2007-09-22 1:28

我跟你一样,都找不到命令,可能我们都是用N卡的。

或者这个老贴,现在不用了。
回复

回到 “桌面特效”